Subject: Re: bug#24022: 24.5; C indentation failure

From: Alan Mackenzie <[email-masked]>
Date: Sun, 29 Sep 2019 08:13:43 +0000

Hello, Stefan

On Sun, Sep 29, 2019 at 07:02:35 +0200, Stefan Kangas wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Hello, robgssp.

> > In article <[email-masked]> you wrote:

> >> c-mode fails to indent correctly when a #if is followed by a
> >> comment. Example:

> >> int main() {
> >> #if defined(a) // comment
> >>   if (b) {
> >>   body();
> >> }
> >> #endif
> >>   }

> >> Clearly this isn't the correct indentation. A clean run under -Q behaves
> >> the same way.

> > Yes.

> > Thanks for taking the trouble to report this problem, and thanks even
> > more for cutting the source down to a small, easy to handle test case.

> > There have been extensive changes to CC Mode since the release of Emacs
> > 24.5, and the problem isn't apparent in more recent versions.  Bisecting
> > the changes in mercurial suggest that this bug was "solved" by a commit on
> > 2016-05-29.

> > I've tried to adapt this commit so that it will apply to the Emacs 24.5
> > sources, but the changes are just too many for this to be practicable.

> > Would it be OK for me to send you a tarball of the up-to-date CC Mode
> > sources (~1.34 Mb) so that you could build these on Emacs 24.5 and check
> > that the error really has been fixed (and not just in the cut down test
> > case you've sent me)?

> Hi Alan,

> It looks like this has been fixed, but you were awaiting some further
> verification from the reporter.  Did you ever get such verification?

I never did, no.

> If not, perhaps we should just close this if you can't reproduce it.

We should indeed close it.  The problem has been solved.

> I can't reproduce it on current master using the example given above.

Indeed.  Does this go under "wontfix" or "solved", or some other status?
I marked it as "wontfix" in my own bug log, since I couldn't reasonably
fix it in Emacs 24.5.

> Best regards,
> Stefan Kangas

-- 
Alan Mackenzie (Nuremberg, Germany).